## ros-lunar-ros-realtime 1.0.25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_realtime)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-lunar-ros-realtime (1.0.25-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 08:00:00 -0000

ros-lunar-ros-realtime (1.0.24-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 06 Nov 2014 08:00:00 -0000

ros-lunar-ros-realtime (1.0.23-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 03 Nov 2014 08:00:00 -0000

ros-lunar-ros-realtime (1.0.22-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 29 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.17-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 27 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.16-0xenial) xenial; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 24 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.15-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 22 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.14-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 22 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.13-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 17 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.12-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.11-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 09 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.10-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 09 Oct 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.8-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.7-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 10 Sep 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.6-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 10 Sep 2014 07:00:00 -0000

ros-lunar-ros-realtime (1.0.5-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 10 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-lunar-ros-realtime
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-ros-realtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-allocators, ros-lunar-lockfree, ros-lunar-rosatomic, ros-lunar-rosrt
Description: The ros_realtime package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-ros-realtime//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
